osgDB::DatabasePager::DatabaseRequest Struct Reference

`#include <DatabasePager>`

Inheritance diagram for osgDB::DatabasePager::DatabaseRequest:

## Public Member Functions

| DatabaseRequest ()
void | invalidate ()
bool | valid () const
bool | isRequestCurrent (int frameNumber) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

bool | _valid
std::string | _fileName
unsigned int | _frameNumberFirstRequest
double | _timestampFirstRequest
float | _priorityFirstRequest
unsigned int | _frameNumberLastRequest
double | _timestampLastRequest
float | _priorityLastRequest
unsigned int | _numOfRequests
osg::observer_ptr< osg::Node > | _terrain
osg::observer_ptr< osg::Group > | _group
osg::ref_ptr< osg::Node > | _loadedModel
osg::ref_ptr< Options > | _loadOptions
osg::ref_ptr< ObjectCache > | _objectCache
osg::observer_ptr< osgUtil::IncrementalCompileOperation::CompileSet > | _compileSet
bool | _groupExpired

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## DatabaseRequest()

osgDB::DatabasePager::DatabaseRequest::DatabaseRequest | ( |  | ) |

inline

References _frameNumberFirstRequest, _frameNumberLastRequest, _groupExpired, _numOfRequests, _priorityFirstRequest, _priorityLastRequest, _timestampFirstRequest, _timestampLastRequest, _valid, and osg::Referenced::Referenced().

## Member Function Documentation

## invalidate()

void osgDB::DatabasePager::DatabaseRequest::invalidate | ( |  | ) |

## isRequestCurrent()

bool osgDB::DatabasePager::DatabaseRequest::isRequestCurrent | ( | int | frameNumber | ) | const

inline

References _frameNumberLastRequest, and _valid.

## valid()

bool osgDB::DatabasePager::DatabaseRequest::valid | ( |  | ) | const

inline

References _valid.

## Member Data Documentation

## _compileSet

osg::observer_ptr<osgUtil::IncrementalCompileOperation::CompileSet> osgDB::DatabasePager::DatabaseRequest::_compileSet

## _fileName

std::string osgDB::DatabasePager::DatabaseRequest::_fileName

## _frameNumberFirstRequest

unsigned int osgDB::DatabasePager::DatabaseRequest::_frameNumberFirstRequest

Referenced by DatabaseRequest().

## _frameNumberLastRequest

unsigned int osgDB::DatabasePager::DatabaseRequest::_frameNumberLastRequest

Referenced by DatabaseRequest(), and isRequestCurrent().

## _group

osg::observer_ptr<osg::Group> osgDB::DatabasePager::DatabaseRequest::_group

## _groupExpired

bool osgDB::DatabasePager::DatabaseRequest::_groupExpired

Referenced by DatabaseRequest().

## _loadedModel

osg::ref_ptr<osg::Node> osgDB::DatabasePager::DatabaseRequest::_loadedModel

## _loadOptions

osg::ref_ptr<Options> osgDB::DatabasePager::DatabaseRequest::_loadOptions

## _numOfRequests

unsigned int osgDB::DatabasePager::DatabaseRequest::_numOfRequests

Referenced by DatabaseRequest().

## _objectCache

osg::ref_ptr<ObjectCache> osgDB::DatabasePager::DatabaseRequest::_objectCache

## _priorityFirstRequest

float osgDB::DatabasePager::DatabaseRequest::_priorityFirstRequest

Referenced by DatabaseRequest().

## _priorityLastRequest

float osgDB::DatabasePager::DatabaseRequest::_priorityLastRequest

Referenced by DatabaseRequest().

## _terrain

osg::observer_ptr<osg::Node> osgDB::DatabasePager::DatabaseRequest::_terrain

## _timestampFirstRequest

double osgDB::DatabasePager::DatabaseRequest::_timestampFirstRequest

Referenced by DatabaseRequest().

## _timestampLastRequest

double osgDB::DatabasePager::DatabaseRequest::_timestampLastRequest

Referenced by DatabaseRequest().

## _valid

bool osgDB::DatabasePager::DatabaseRequest::_valid

Referenced by DatabaseRequest(), isRequestCurrent(), and valid().

The documentation for this struct was generated from the following file:

- DatabasePager